Skip to main content
POST
/
{alias}
/
catalog
/
groups
Criar grupo de produtos
curl --request POST \
  --url https://api.dooki.com.br/v2/{alias}/catalog/groups \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "name": "Promoções",
  "products_ids": [
    123
  ]
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/catalog/groups"

payload = {
    "name": "Promoções",
    "products_ids": [123]
}
headers = {
    "User-Token": "<api-key>",
    "User-Secret-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'User-Token': '<api-key>',
    'User-Secret-Key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({name: 'Promoções', products_ids: [123]})
};

fetch('https://api.dooki.com.br/v2/{alias}/catalog/groups', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>"
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

Body

application/json

Dados para criação ou atualização de um grupo de produtos

name
string
required

Nome do grupo. Esse nome deve ser único dentro da loja

Example:

"Promoções"

products_ids
integer[]

IDs dos produtos no grupo

Response

Grupo criado com sucesso

Representa um grupo associado a um produto

id
integer
name
string